// Project Sword & Gun Copyright © 2021 Kevin Poretti

#pragma once

#include "CoreMinimal.h"
#include "Characters/SNGCharacterBase.h"
#include "SNGEnemyBase.generated.h"

/**
 * 
 */
UCLASS()
class SWORDNGUN_API ASNGEnemyBase : public ASNGCharacterBase
{
	GENERATED_BODY()

public:

	virtual ASNGWeaponBase* GetCurrentWeapon_Implementation() override;
	
protected:
	UPROPERTY(VisibleAnywhere, BlueprintReadOnly, Category="Weapon")
	ASNGWeaponBase* Weapon;
};
